Summary:        Utility for selectively remove C preprocessor conditionals
Name:           unifdef
Version:        2.10
Release:        4%{?dist}
License:        BSD
URL:            http://dotat.at/prog/%{name}/
Source0:        http://dotat.at/prog/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  make gcc pkgconfig

%description
The unifdef utility selectively processes conditional C preprocessor #if 
and #ifdef directives. It removes from a file both the directives and the
additional text that they delimit, while otherwise leaving the file alone.

%prep
%autosetup

%build
%make_build

%install
rm -rf %{buildroot}
install -d -m0755 %{buildroot}%{_bindir}
install -p -m0755 unifdef %{buildroot}%{_bindir}/unifdef
install -p -m0755 unifdefall.sh %{buildroot}%{_bindir}/unifdefall.sh

install -d -m0755 %{buildroot}%{_mandir}/man1
install -p -m0644 unifdef.1 %{buildroot}%{_mandir}/man1/unifdef.1

%files
%{_bindir}/unifdef
%{_bindir}/unifdefall.sh
%{_mandir}/man1/unifdef.1.gz

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 19 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.10-1
- Initial build
